


<b>database</b>
	
	
	<b>possibility: subtract mass of every descendent struct from struct mass</b>
	
		[1:41]-\					(41 - 10 - 11 - 3 - 7) = 10
		       |
			   |--[2:10]--\			(10 - 3) = 7
			   |		   |
			   |		  [4:3]		3 = 3
			   |		  /
			    \-[3:11]--			11 - 3 - 7 = 1
					      \
					       [5:7]	7 = 7
	
			
			Therefore, multiple groups can contain the same structs.
	
			{
				"region": 1,
				"mass": 41,
				"includes": [ 2 ]
			}
			
			{
				"region": 2,
				"includes": [ 4 ],
				
				"mass": 10
			}
			
			{
				"region": 3,
				"includes": [ 4, 5 ],
				
				"mass": 11
			}
			
			{
				"region": 4,
				"includes": [],
				
				"mass": 3
			}
			
			{
				"region": 5,
				"includes": [],
				
				"mass": 7
			}
	
		
		innovations:
			{
				"region": 1,
				"names": [],
				
				"part of": [],
				
				"includes": []
			}
	
	
	<b>possibility: strict trees</b>
		<b>trees form 1</b>
		structs.JSON
		
		
		<b>trees form 2</b>
	
	                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             